# pool_allocator.h File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library.

Definition in file pool_allocator.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx

## Classes

- class __gnu_cxx::__pool_alloc< _Tp >
    class __pool_alloc. More...
- struct __gnu_cxx::__pool_alloc< _Tp >::rebind< _Tp1 >
- class __gnu_cxx::__pool_alloc_base
    Base class for __pool_alloc. More...
- union __gnu_cxx::__pool_alloc_base::_Obj

## Defines

- #define _POOL_ALLOCATOR_H

## Functions

- template<typename _Tp> bool __gnu_cxx::operator!= (const __pool_alloc< _Tp > &, const __pool_alloc< _Tp > &)
- template<typename _Tp> bool __gnu_cxx::operator== (const __pool_alloc< _Tp > &, const __pool_alloc< _Tp > &)